#ifndef _DEBUGGER_H_
#define _DEBUGGER_H_

#include <Arduino.h>
#include "webui.h"

#ifdef FEATURE_ENABLE_REMOTE_DEBUG
#include <RemoteDebug.h>
#include "rmtdbghelp.h"
#endif

typedef enum DebugStatus_e{
    enabled,
    disabled
}DebugStatus_t;

typedef enum DebugPorts_e{
    dbg_Serial,
    dbg_Webui,
    dbg_cntElements
}DebugPorts_t;

const char sDebugPorts[dbg_cntElements][7] = {
    "Serial",
    "WebUI"
};

extern DebugStatus_t DebuggerStatus[dbg_cntElements];

void initDebugger();
void Debugger_Process();
void pushCANDebug(uint32_t id, uint8_t dlc, uint8_t *data);
void Debug_pushMessage(const char *format, ...);
void SetDebugportStatus(DebugPorts_t port, DebugStatus_t status);

#endif